#!/bin/bash

ARGS=1

E_BADARG=2
E_BADFILE=3

if [ $ARGS -ne $# ]
then
	echo "Usage: $(basename $0) word"
	exit $E_BADARG
fi

token=$1
token_len=${#token}
for ((i=token_len; i>=0; i--))
do
	char=${token:i:1}
	rev=${rev}${char}
done

echo $token '->' $rev 

exit 0
