#include <windows.h>

#define MAX_MESSAGE_LEN	128
#define MAX_LOOP		5
#define MAX_THREAD		3

CRITICAL_SECTION g_ScreenCS;
HANDLE g_hStdOut;

DWORD WINAPI MyThread(LPVOID lpVoid)
{
	CHAR szMessage[MAX_MESSAGE_LEN];
	DWORD dwThreadId = GetCurrentThreadId();
	DWORD dwWritten = 0;
	int i, j;

	wsprintf(szMessage, "Ciao dal thread %u\n", dwThreadId);
	for(i = 0; i < MAX_LOOP; i++)
	{
		EnterCriticalSection(&g_ScreenCS);
		for(j = 0; j < MAX_LOOP; j++)
		{
			WriteFile(g_hStdOut, szMessage, strlen(szMessage), &dwWritten, NULL);
			Sleep(300);
		}
		LeaveCriticalSection(&g_ScreenCS);
	}

	return 0;
}

int main()
{
	HANDLE hThread[MAX_THREAD];
	int i;

	g_hStdOut = GetStdHandle(STD_OUTPUT_HANDLE);
	InitializeCriticalSection(&g_ScreenCS);

	for(i = 0; i < MAX_THREAD; ++i)
		hThread[i] = CreateThread(NULL, 0, MyThread, NULL, 0, NULL);

	WaitForMultipleObjects(MAX_THREAD, hThread, TRUE, INFINITE);

	DeleteCriticalSection(&g_ScreenCS);

	return 0;
}